"use strict";

exports.__esModule = true;
exports.getSyncFunctions = exports.setSyncFunctions = void 0;

const notInitialized = () => {
  throw new Error('Not initialize!');
};

let uSES = notInitialized;
let uSESWS = notInitialized; // Allow injecting the actual functions from the entry points

const setSyncFunctions = (sync, withSelector) => {
  uSES = sync;
  uSESWS = withSelector;
}; // Supply a getter just to skip dealing with ESM bindings


exports.setSyncFunctions = setSyncFunctions;

const getSyncFunctions = () => [uSES, uSESWS];

exports.getSyncFunctions = getSyncFunctions;